# Documentation


```@contents
Depth = 3
```

```@meta
CurrentModule = PenultimateDays
DocTestSetup = quote
    using PenultimateDays
end
```

## Trivial Penultimate Functions
```@docs
penultimatedayofweek(::TimeType)
penultimatedayofmonth(::TimeType)
penultimatedayofquarter(::TimeType)
penultimatedayofyear(::TimeType)
```

## Day-specific Penultimate Functions
```@docs
penultimatedayofmonth(::TimeType, ::Int)
penultimatedayofquarter(::TimeType, ::Int)
penultimatedayofyear(::TimeType, ::Int)
```

## Dates (Standard Library) Extended
```@docs
firstdayofweek
lastdayofweek
firstdayofmonth
lastdayofmonth
firstdayofquarter
lastdayofquarter
firstdayofyear
lastdayofyear
```

# Index

```@index
```